#!/bin/bash

LOGFILE="logs/${1}-`date '+%Y-%m-%d'`.log"
LOCKFILE="$HOME/lp2kanban/run-$1.lock"
exit_status=0
export https_proxy=http://squid.external:3128

cd $HOME/lp2kanban
echo -n "START " >> $LOGFILE
date "+%c" >> $LOGFILE
lockfile -10 -r 4 $LOCKFILE
if [ "$?" -eq 0 ]; then
    bin/py src/lp2kanban/bugs2cards.py -c ${1}.ini 2>&1 >> $LOGFILE
    exit_status=$?
    rm -f $LOCKFILE
else
    echo "Failed to grab lockfile $LOCKFILE" >> $LOGFILE
    exit_status=1
fi
echo -n "END " >> $LOGFILE; date "+%c" >> $LOGFILE
exit $?
